Git::Raw::Merge::File::Result(3pm)

NAME
Git::Raw::Merge::File::Result - Git merge result class

VERSION
version 0.90

DESCRIPTION
A Git::Raw::Merge::File::Results represents the result of a file merge.

WARNING: The API of this module is unstable and may change without warning (any change will be appropriately documented in the changelog).

METHODS

  automergeable( )
Return a truthy value if the file was automerged, or a false value if the content contains conflict markers.

  content( )
The contents of the merge.

  path( )
The path that the resultant merge file should use, or "undef" if a filename conflict would occur.

AUTHOR
Jacques Germishuys <jacquesg@cpan.org>

LICENSE AND COPYRIGHT
Copyright 2014 Jacques Germishuys.

This program is free software; you can redistribute it and/or modify it under the terms of either: the GNU General Public License as published by the Free Software Foundation; or the Artistic License.

See http://dev.perl.org/licenses/ for more information.